package com.xmomen.module.base.entity.mapper;

import com.xmomen.framework.mybatis.mapper.MybatisMapper;
import com.xmomen.module.base.entity.CdCouponCategoryRef;
import com.xmomen.module.base.entity.CdCouponCategoryRefExample;
import org.apache.ibatis.annotations.Param;

// 定义一个接口，继承MybatisMapper
public interface CdCouponCategoryRefMapper extends MybatisMapper {
    // 根据条件统计数量
    int countByExample(CdCouponCategoryRefExample example);

    // 根据条件删除
    int deleteByExample(CdCouponCategoryRefExample example);

    // 插入数据
    int insertSelective(CdCouponCategoryRef record);

    // 根据条件更新数据
    int updateByExampleSelective(@Param("record") CdCouponCategoryRef record, @Param("example") CdCouponCategoryRefExample example);
}